*{margin:0px; padding:0px;list-style:none;box-sizing: border-box;}
html,body{font-size: 14px;color: var(--font-primary); font-family: Inter,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol;}
.clearfix:after {content:"."; display:block; height:0; clear:both; visibility:hidden;}
*html clearfix{height:1%;}
.fl{float: left;}
.fr{float: right;}
img{border: 0;}
input, label, img, th {vertical-align: middle;}
.hide {display: none;}
.block {display: block !important;}
.f14 {font-size: 14px;}
.ta_c{
	text-align:center;
}
a{text-decoration: none;color: var(--font-primary); cursor: pointer;}
a:hover{ color: var(--color-primary);}
.maxw{
	width:1320px;
	margin:auto;
}
.minw{
	min-width:1320px;
	margin:auto;
}
.cursorp{
	cursor: pointer;
}

.nodata{
	text-align: center;
	line-height: 80px;
	width: 100%;
}
.opacity8 a:hover{
	opacity:0.8;
	filter:alpha(opacity=80);
}
.banner .maxw{
	display: flex;
	height: 315px;
	justify-content: center;
	flex-direction: column;
	align-items: center;
	text-align: center;
}
.flex{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}
.window{
	border: 2px solid var(--color-window);
	border-radius: 8px;
	padding: 20px 24px 10px;
	margin-bottom: 10px;
}
.window .title{
	font-size: 20px;
	font-weight: bold;
	margin-bottom: 30px;
	display: flex;
	align-items: center;
}
.window .title h1{
	font-size: 20px;
}
.window .title img{
	width: 24px;
	margin-right: 10px;
}
.window .title span{
	color: var(--color-primary);
}
.window .title .tdes{
	font-size: 14px;
	color: var(--font-desc);
	font-weight: normal;
	padding-left: 10px;
}
.m_t_20{
	padding-top: 20px;
}
.m_t_50{
	padding-top: 50px;
}
/*
头部
*/
header{
	height: 64px;
	width: 100%;
}
.pagetop{
	z-index: 100;
	padding-left: 30px;
	padding-right: 30px;
	position: fixed;
	display: flex;
	flex-direction: row;
	top: 0px;
	left: 0px;
	right: 0px;
	transition: all .3s ease-in-out;
	background-color: #fff;
	min-width: 1320px;
	height: 64px;
	transition-delay: 0.5s;
	transition: all 0.2s ease-in-out;
	border-bottom: 1px solid #f5f5f5;
}
.sticky {
	height: 64px;
}
.pagetop .ptop_c{
	width: 1320px;
	margin: auto;
	padding: 0px;
	display: flex;
	height: 100%;
	align-items: center;
	justify-content: space-between;
}
.indexClass .pagetop{
	box-shadow:none;
}
.pagetop .logo{
	display:inline-block;
	background:url(../images/logo.png) no-repeat left center;
	background-size: auto 32px;
	line-height: 32px;
	font-size: 22px;
	display: flex;
	align-items: center;
	padding-left: 44px;
}
.pagetop .menu{
	flex: auto;
	display: flex;
	font-size: 16px;
	padding-left: 80px;
}
.pagetop .menu > span{
	align-items:center;
	margin: 0px 4px;
	display: flex;
}
.pagetop .menu > span > a{
	display: inline-block;
	padding: 0px 15px;
	position: relative;
}
.pagetop .menu > span.on a{
	color: var(--color-primary);
}
.pagetop .search{
	display: flex;
	align-items: center;
	height: 32px;
	width: 260px;
	display: flex;
	align-items: center;
	justify-content: center;
	padding-right: 10px;
	padding-left: 14px;
	border-radius: 6px;
	background-color: #eff2f5;
}
.pagetop .search .search_keyword{
	border: 0px;
	background-color: #eff2f5;
	color: var(--font-primary);
	width: 140px;
}
.pagetop .search .search_keyword:focus-visible {
  	outline: none;
	box-shadow: none;
	border-color: inherit;
}
.pagetop .search .sbtn{
	border: 0px;
	background: url(../images/fdj.jpg) no-repeat center;
	width: 30px;
	height: 30px;
	cursor: pointer;
}
.pagetop .search_select{
	border: 0px;
	margin-right: 10px;
	background: none;
	cursor: pointer;
	color: var(--font-desc);
}

/* 首页 */
.h_rankings .des{
	color: var(--font-desc);
	padding-top: 10px;
}
.h_rankings .total{
	color: var(--font-primary);
}
.h_top_c{
	padding-top: 20px;
}
.h_top_c .list .window:first-child{
	margin-right: 10px;
}
.h_top_c .list .window{
	flex: 1;
}
.h_top_c .h_top_l{
	flex: 1;
	margin-right: 10px;
}
.h_top_c .h_ai{
	width: 30%;
}
.h_exchanges ul{
	display: flex;
	flex-wrap: wrap;
}
.h_exchanges ul li{
	width: 31%;
	margin-right: 3.5%;
	border-bottom: 1px solid var(--font-bo);
	margin-bottom: 22px;
	padding-bottom: 18px;
}
.h_exchanges ul li:nth-child(3n){
	margin-right: 0px;
}
.h_exchanges ul li:nth-last-child(-n + 3) {
  border-bottom: 0px;
  margin-bottom: 0px;
}
.h_exchanges ul li .tit{
	display: block;
	font-size: 18px;
	margin-bottom: 10px;
	font-weight: bold;
}
.h_exchanges ul li .des{
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2; /* 显示两行 */
	overflow: hidden;
	color: var(--font-desc);
	font-size: 14px;
}
.h_exchanges img{
	height: 32px;
	width: 32px;
}
.up{
	color: var(--color-green);
	position: relative;
}
.up::before{
	background: url(../images/up.png) no-repeat center;
	width: 11px;
	height: 11px;
	display: inline-block;
	margin-bottom: -1px;
	content: "";
}
.down{
	color: var(--color-red);
	position: relative;
}
.down::before{
	background: url(../images/down.png) no-repeat center;
	width: 11px;
	height: 11px;
	display: inline-block;
	margin-bottom: -1px;
	content: "";
}
.h_top_c .max_zf .li{
	margin-bottom: 20px;
}
.h_top_c .max_zf img{
	width: 24px;
	margin-right: 10px;
}
.h_top_c .max_zf .left{
	color: #334155;
	font-weight: bold;
}
.h_top_c .max_zf .right{
	font-size: 14px;
	font-weight: bold;
}
.h_top_c .max_zf .price{
	margin-right: 20px;
}
/* 首页币列表 */
.coin_ranking ul li div{
	width: 13%;
	padding-left: 6px;
	padding-right: 6px;
	text-align: right;
}
.coin_ranking ul li div.name{
	text-align: left;
	font-weight: bold;
	flex: 1;
}
.coin_ranking ul li div.key{
	font-weight: bold;
	text-align: center;
	width: 40px;
	padding: 0px;
}
.coin_ranking ul li div.quoteVolume{
	width: 250px;
}
.coin_ranking ul li div.line_item{
	display: flex;
	align-items: center;
	justify-content: center;
	padding-left: 30px;
	width: 180px;
}
.coin_ranking ul li div.line_item .coin_line{
	visibility: hidden;
}
.coin_ranking ul.th{
	font-weight: bold;
	line-height: 42px;
	border-bottom: 1px solid var(--font-bo);
}
.coin_ranking ul .name img{
	height: 24px;
	width: 24px;
	margin-right: 8px;
}
.coin_ranking ul .name span{
	color: var(--font-desc);
}
.coin_ranking ul.td{
	font-size: 14px;
	font-weight: bold;
	line-height: 60px;
}
.coin_ranking ul.td li{
	border-bottom: 1px solid var(--font-bo);
}
.coin_ranking ul.td li:last-child{
	border-bottom: 0px;
}
.coin_ranking ul.td li:hover{
	background-color: #f8fafc;
}
/* 币详情 */
.coin_info .coin_i_top{
	margin-bottom: 20px;
	color: var(--font-desc);
	display: flex;
	align-items: center;
}
.coin_info .coin_i_top i{
	display: inline-block;
	width: 20px;
	height: 20px;
	background: url(../images/right_sj.jpg) no-repeat center;
}
.coin_info .coin_i_left{
	width: 30%;
	margin-right: 10px;
}
.coin_info .coin_i_left h1,.p_exchanges h1{
	font-size: 18px;
}
.coin_info .coin_i_right{
	flex: 1;
}
.coin_info .coin_i_left .info_i_list ul li{
	font-size: 14px;
	color: var(--font-desc);
	display: flex;
	justify-content: space-between;
	font-weight: bold;
	line-height: 52px;
	border-bottom: 1px solid var(--font-bo);
}
.coin_info .coin_i_left .info_i_list ul li span{
	font-weight: normal;
}
.coin_info .window_tit{
	padding-top: 40px;
	padding-bottom: 10px;
	border-bottom: 1px solid var(--font-bo);
	font-weight: bold;
	font-size: 20px;
}
.controls {
	display: flex;
	align-items: center;
	margin-bottom: 8px
}
.controls label{
	margin-right: 10px;
	display: flex;
	align-items: center;
}
.controls input{
	margin-right: 5px;
	margin-left: 10px;
}
.coin_i_right select {
	padding: 5px;
	border-radius: 4px;
	border: 1px solid #ddd
}
#chart-container {width:100%; height:500px; display:flex; flex-direction:column;}
#main-chart {flex:3;}
#volume-chart {flex:1; margin-top:2px;}
.coin_i_right .status {
	font-size: 13px;
	color: #666;
	margin-left: 8px
}
.pri_cha .pr_price{
	font-size: 32px;
	font-weight: bold;
	margin-bottom: 10px;
}
.pri_cha .pr_change{
	margin-bottom: 20px;
}
.coin_i_left .sq{
	display: inline-block;
	width: 22px;
	height: 22px;
	background-repeat: no-repeat;
	background-position: center;
	margin-left: 20px;
}
.coin_i_left .sq_list{
	display: flex;
	align-items: center;
}
.coin_i_left .facebook{
	background-image: url(../images/facebook.jpg);
}
.coin_i_left .github{
	background-image: url(../images/github.jpg);
}
.coin_i_left .reddit{
	background-image: url(../images/reddit.jpg);
}
.coin_info .info{
	padding: 20px 0px 40px;
}
.coin_info .info p{
	font-size: 16px;
	line-height: 180%;
}
.info_x_list{
	margin-bottom: 20px;
	margin-top: 20px;
}
.info_x_list ul li{
	flex-direction: column;
	line-height: 150%;
	padding-bottom: 20px;
	border-bottom: 1px solid var(--font-bo);
	margin-bottom: 20px;
}
.info_x_list ul li .tit{
	font-size: 16px;
	font-weight: bold;
}
.info_x_list ul li .des{
	color: var(--font-desc);
	padding-top: 10px;
	display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}
/* 交易所 */
.exchanges_list ul li div{
	width: 13%;
	padding-left: 6px;
	padding-right: 6px;
	text-align: right;
}
.exchanges_list ul li div.name{
	text-align: left;
	font-weight: bold;
	flex: 1;
}
.exchanges_list ul li div.key{
	font-weight: bold;
	text-align: center;
	width: 40px;
	padding: 0px;
}
.exchanges_list ul li div.quoteVolume{
	width: 250px;
}
.exchanges_list ul li div.line_item{
	display: flex;
	align-items: center;
	justify-content: center;
	padding-left: 30px;
	width: 180px;
}
.exchanges_list ul li div.line_item .coin_line{
	visibility: hidden;
}
.exchanges_list ul.th{
	font-weight: bold;
	line-height: 42px;
	border-bottom: 1px solid var(--font-bo);
}
.exchanges_list ul .name img{
	height: 24px;
	width: 24px;
	margin-right: 8px;
}
.exchanges_list ul .name span{
	color: var(--font-desc);
}
.exchanges_list ul.td{
	font-size: 14px;
	font-weight: bold;
	line-height: 60px;
}
.exchanges_list ul.td li{
	border-bottom: 1px solid var(--font-bo);
}
.exchanges_list ul.td li:last-child{
	border-bottom: 0px;
}
.exchanges_list ul.td li:hover{
	background-color: #f8fafc;
}
/* 交易所详情 */
.p_exchanges .exchange_right{
	width: 30%;
	margin-left: 10px;
}
.p_exchanges h1{
	font-size: 18px;
}
.p_exchanges .exchange_left{
	flex: 1;
}
.exchange_info{
	line-height: 180%;
}
.exchange_info .img img{
	width: 90px;
}
.exchange_info .exchange_info_left{
	text-align: center;
	width: 15%;
	padding-top: 20px;
	margin-right: 20px;
}
.exchange_info .exchange_info_left .pm{
	font-size: 12px;
}
.exchange_info .exchange_info_left .pm span{
	padding: 30px 0px 10px;
	font-weight: bold;
	display: block;
	font-size: 30px;
}
.exchange_info .exchange_info_right{
	flex: 1;
}
.exchange_info_right .title h1{
	padding-top: 20px;
	font-size: 28px;
}
.p_exchanges .info_e_list{
	margin-top: 20px;
}
.p_exchanges .info_e_list ul li{
	line-height: 180%;
	padding: 20px 0px;
}
.p_exchanges .info_e_list ul li span{
	font-size: 18px;
	display: block;
	font-weight: bold;
}
.p_exchanges .info_e_list ul li{
	width: 33.3%;
}
.p_exchanges .info{
	line-height: 180%;
	text-indent: 2rem;
	font-size: 16px;
	padding-bottom: 100px;
}
/* 分页 */
.pagination {
	margin:auto;
	text-align:center;
	padding-top:30px;
	font-size: 18px;
	font-weight: bold;
}
.pagination li{
	display: inline-block;
}
.pagination a,.pagination span{
	height:40px;
	min-width: 40px;
	padding: 0px 10px;
	margin:0px 8px;
	border: 1px solid #e0e0e0;
	line-height:38px;
	text-align:center;
	background:#fff;
	display:inline-block;
	border-radius: 4px;
}
.pagination a:hover{
	border: 1px solid  var(--color-primary);
}
.pagination .disabled span{
	color: #d8d8d8;
	margin: 0px;
}
.pagination .active span{
	border:1px solid var(--color-primary);
	color:#fff;
	background:var(--color-green);
}
.pagination a.prev,.pagination a.next,.pagination a.first,.pagination a.end{
	width:auto;
	padding:0px 10px;
}
.nodata{
	text-align: center;
	line-height: 60px;
}
/* 博客 */
.pni_banner{
	padding-bottom: 40px;
}
.pni_banner .title{
	font-size: 36px;
}
.news_top{
	text-align: center;
	margin: auto;
	margin-bottom: 30px;
	width: 72%;
}
.news_top a{
	display: inline-block;
	border: 1px solid #e0e0e0;
	line-height: 38px;
	padding: 0px 24px;
	border-radius: 4px;
	margin: 0px 5px 10px;
	font-size: 16px;
}
.news_top a:hover, .news_top a.on{
	color: #fff;
	background-color: var(--color-primary);
	border: 1px solid var(--color-primary);
	box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.1); 
	font-weight: bold;
}
.p_news{
	padding-top: 55px;
}
.n_left{
	padding-bottom: 100px;
}
.bpi_list ul{
	display: flex;
	flex-wrap: wrap;
}
.bpi_list ul li{
	width: 416px;
	margin-bottom: 30px;
	padding: 22px;
	border: 1px solid #e0e0e0;
	border-radius: 8px;
	float: left;
	margin-right: 36px;
}
.bpi_list ul li:nth-child(3n){
	margin-right: 0px;
}
.bpi_list ul li .entry-title{
	padding-top: 30px;
	margin-bottom: 10px;
	font-size: 20px;
	font-weight: bold;
	color: #1a1d21;
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}
.bpi_list ul li .des{
	/* display: -webkit-box;
  	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2; */
	/* overflow: hidden;
	text-overflow: ellipsis; */
	line-height: 24px;
	margin-bottom: 20px;
	color: #4f5251;
}
.bpi_list ul li .more a{
	color: var(--color-primary);
	display: inline-block;
	font-weight: bold;
	background: url(../images/rsj.png) no-repeat left center;
	padding-left: 16px;
}
.bpi_list .art_pic img{
	width: 100%;
	height: 238px;
	border-radius: 8px;
}
.p_news .nv_left{
	width: 75%;
}
.p_news .nv_right{
	width: 20%;
}
.p_news .nv_right dl{
	margin-bottom: 60px;
}
.p_news .nv_right dl dd{
	margin-bottom: 8px;
	padding-bottom: 8px;
	border-bottom: 1px solid #ececec;
}
.p_news .nv_right dl dd a{
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
	text-overflow: ellipsis;
}
.p_news .nv_right .wint_right{
	font-size: 18px;
	font-weight: bold;
	padding-bottom: 5px;
	margin-bottom: 18px;
	display: inline-block;
	border-bottom: 3px solid var(--color-primary);
}
.p_news .nv_right .tag_list a{
	display: inline-block;
	padding: 4px 6px;
	border: 1px solid #ededed;
	margin-bottom: 8px;
	margin-right: 5px;
	font-size: 14px;
}
.p_news .nv_right .tag_list a:hover{
	background-color: var(--color-primary);
	color: #fff;
}
.p_news .blog_dh{
	padding-bottom: 40px;
}
.p_news .news_info .des{
	font-size: 18px;
	line-height: 180%;
	padding-bottom: 60px;
}
.p_news .news_info .des img{
	max-width: 100%;
}
.p_news .news_info .des a{
	color: var(--color-primary);
}
.p_news .news_info .des h2{
	padding-top: 20px;
	padding-bottom: 10px;
}
.p_news .news_info p{
	text-indent: 2rem;
}
.p_news .prevnext{
	padding-bottom: 80px;
}
.p_news .prevnext .pre{
	padding-bottom: 10px;
}
.des_foot .tag{
	padding-bottom: 20px;
}
.des_foot .tag a{
	margin-right: 8px;
}
.random_news{
	padding-bottom: 100px;
}
.nrandom_title{
	color: #fff;
	display: inline-block;
	margin-bottom: 20px;
	background-color: var(--color-primary);
	font-weight: bold;
	font-size: 18px;
	text-align: center;
	width: 200px;
	line-height: 54px;
	border-radius: 10px;
}
.pn_has_tag{
	padding-bottom: 30px;
	font-size: 18px;
}
.pn_has_tag h1{
	color: var(--color-primary);
	display: inline-block;
	font-size: 18px;
}
.p_tags_c{
	padding-bottom: 100px;
}
.p_tags_c .title{
	padding-top: 100px;
	padding-bottom: 50px;
	font-size: 18px;
}
.p_tags_c .p_tags a{
	border: 1px solid ;
	display: inline-block;
	padding: 4px 6px;
	margin-right: 10px;
  	border: 1px solid #ededed;
	margin-bottom: 15px;
}
.p_tags_c .p_tags a:hover{
	background-color: var(--color-primary);
	color: #fff;
}
/*底部*/
.foot{
	background: #f5f5f5;
	color: #42474d;
	margin-top: 50px;
	min-width: 1320px;
}
.foot .copyright{
	padding: 28px 0px;
	font-size: 13px;
	text-align: center;
}
.chooselang{
	padding-left: 20px;
}
.chooselang .langc{
	position: relative;
	cursor: pointer;
	display: inline-block;
	line-height: 64px;
	border-radius: 5px;
	background: url(../images/langbac.png) no-repeat center #fff;
}
.chooselang .menusub{
	right: 0px;
	width: 110px;
	line-height: 220%;
	background-color: rgba(255, 255, 255, 0.5);
	text-align: center;
	padding: 20px 20px;
	box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
}
.langlist{
	display: none;
	position: absolute;
	padding-top: 5px;
	top: 30px;
	width: 110px;
	text-align: center;
	border: 1px solid #bfbfbf;
	left: -1px;
	background: #f9f9f9;
	border-top: 0px;
}
.mainlevel{
	position: relative;
}
.mainlevel .menusub{
	display: none;
	position: absolute;
}
/* default */
:root {
	/* 主色 */
	--color-primary: #0d7f0d;
	--color-green: #0d7f0d;
	--color-red: #ff3a33;
	--color-white: #ffffff;
	--color-window: #eff2f5;
	/* 字体颜色 */
	--font-desc: #68748c;
	--font-bo: #eff2f5;
	--font-primary: #1f2b35;
}